#include "config.h"
#include <Ecore.h>
#include <Ecore_Data.h>
#include <E_DBus.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

void screen_off(void);
void screen_on(void);
void cpu_suspend(void);

typedef struct
{
   char *src, *state;
} Resource_Request;

typedef struct
{
   const char *res;
   int reqs_num;
   Resource_Request *reqs;
} Resource;

Resource *resource_init(const char *res);
int resource_state_request_add(Resource *r, const char *src, const char *state);
int resource_state_request_del(Resource *r, const char *src);
const char *resource_evaluate(Resource *r);
void resource_state_requests_clear(Resource *r);
    
